- Qt 6.9
- Qt Core
- C++ Classes
- QString
- Qt 6.9.3 Reference Documentation

# Obsolete Members for QString

The following members of class QString are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.4)` qsizetype | count() const
`(deprecated)` QString & | setUtf16(const ushort *unicode, qsizetype size)

## Static Public Members

`(deprecated in 6.0)` QString | fromUcs4(const uint *str, qsizetype size = -1)
`(deprecated in 6.0)` QString | fromUtf16(const ushort *str, qsizetype size = -1)

## Related Non-Members

`(since 6.2, deprecated in 6.8)` QString | operator""_qs(const char16_t *str, size_t size)

## Member Function Documentation

### `[deprecated in 6.4]` qsizetype QString::count() const

This function is deprecated since 6.4. We strongly advise against using it in new code.

Use size() or length() instead.

Same as size().

This function overloads QString::count().

### `[static, deprecated in 6.0]` QString QString::fromUcs4(const uint *str, qsizetype size = -1)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use the `char32_t` overload instead.

### `[static, deprecated in 6.0]` QString QString::fromUtf16(const ushort *str, qsizetype size = -1)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use the `char16_t` overload instead.

### `[deprecated]` QString &QString::setUtf16(const ushort *unicode, qsizetype size)

This function is deprecated. We strongly advise against using it in new code.

Use the `char16_t` overload instead.

## Related Non-Members

### `[noexcept, since 6.2, deprecated in 6.8]` QString operator""_qs(const char16_t *str, size_t size)

This function is deprecated since 6.8. We strongly advise against using it in new code.

Use `_s` from Qt::StringLiterals namespace instead.

Literal operator that creates a QString out of the first size characters in the char16_t string literal str.

The QString is created at compile time, and the generated string data is stored in the read-only segment of the compiled object file. Duplicate literals may share the same read-only memory. This functionality is interchangeable with QStringLiteral, but saves typing when many string literals are present in the code.

The following code creates a QString:

     auto str = u"hello"_qs;

This function was introduced in Qt 6.2.

See also QStringLiteral and QtLiterals::operator""_qba(const char *str, size_t size).